# Class: AdditivePoissonNoiseAugmenter

## AdditivePoissonNoiseAugmenter(lambda)

Adds noise sampled from a poisson distribution

Warning : This function is slow, use `ia.additiveNoise` with tensorflowjs for fast noise generation

## Constructor

#### new AdditivePoissonNoiseAugmenter(lambda)

##### Parameters:

Name | Type | Description
--- | --- | ---

`lambda`

Object

options

###### Properties

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`lambda` | Number |  |  | `lambda` is the exponent of the poisson distribution
`scale` | Number | <optional> | 1 | if `scale` is defined (0 < scale < 1), then the noise can apply at a less granular scale
`perChannel` | Number | <optional> | false | If perChannel is true, then the sampled values may be different per channel (and pixel).

Source:
  - additive-poisson-noise.js, line 36

##### Examples

    // Simple usage
    ia.additivePoissonNoise(3);

    //Simple usage with random variable
    ia.additivePoissonNoise(h.integer(0, 3));

    // Explicit usage with random variable
    ia.additivePoissonNoise({
    	lambda: 3,
    	perChannel: true,
    	mean: 5
    });

    // Explicit usage with random variable
    ia.additivePoissonNoise({
    	lambda: h.integer(0, 3),
    	scale: h.number(0.2, 1),
    	perChannel: h.boolean()
    });